Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallStateReady

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallState
it.tdlight.jni.TdApi.CallStateReady

Enclosing class:
  TdApi

public static final class TdApi.CallStateReady extends TdApi.CallState
The call is ready to use.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowP2p`
True, if peer-to-peer connection is allowed by users privacy settings.
`String`
`config`
A JSON-encoded call config.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String[]`
`emojis`
Encryption key emojis fingerprint.
`byte[]`
`encryptionKey`
Call encryption key.
`TdApi.CallProtocol`
`protocol`
Call protocols supported by the other call participant.
`TdApi.CallServer[]`
`servers`
List of available call servers.

## Constructor Summary

Constructors
Constructor
Description
`CallStateReady()`
The call is ready to use.
`CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p)`
The call is ready to use.
`CallStateReady(DataInput input)`
The call is ready to use.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### protocol

public TdApi.CallProtocol protocol
Call protocols supported by the other call participant.

### servers

public TdApi.CallServer[] servers
List of available call servers.

### config

public String config
A JSON-encoded call config.

### encryptionKey

public byte[] encryptionKey
Call encryption key.

### emojis

public String[] emojis
Encryption key emojis fingerprint.

### allowP2p

public boolean allowP2p
True, if peer-to-peer connection is allowed by users privacy settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CallStateReady

public CallStateReady()
The call is ready to use.

### CallStateReady

public CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p)
The call is ready to use.

Parameters:
  `protocol` - Call protocols supported by the other call participant.
  `servers` - List of available call servers.
  `config` - A JSON-encoded call config.
  `encryptionKey` - Call encryption key.
  `emojis` - Encryption key emojis fingerprint.
  `allowP2p` - True, if peer-to-peer connection is allowed by users privacy settings.

### CallStateReady

public CallStateReady(DataInput input) throws IOException
The call is ready to use.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`